Voici la mise à jour du fichier `README.md` pour inclure la nouvelle fonctionnalité de suppression des enfants lors de la suppression d'un livre :

---

# Book Moderation Sync

This module synchronizes moderation states between books and their children in Drupal 10 and 11. When the moderation state of a book is changed, the same state is automatically applied to all its child nodes (e.g., chapters, interactive images). Additionally, it provides an option to delete all child nodes when a book is deleted.

## Features
- Automatically syncs moderation states between books and their children.
- Option to delete all child nodes when a book is deleted (configurable in the settings).
- Compatible with Drupal 10 and 11.
- Seamless integration with the `book` and `content_moderation` modules.

## Installation
1. Download and enable the module via the Drupal admin interface or using Drush:
   ```bash
   drush en book_moderation_sync
   ```
2. Configure the module settings at `/admin/config/content/book-moderation-sync` to enable or disable the deletion of child nodes when a book is deleted.

3. Create or edit a book and its child nodes.

4. Change the moderation state of the book, and all child nodes will automatically inherit the same state.

5. If enabled in the settings, deleting a book will also delete all its child nodes.

## Support
For issues or feature requests, please open an issue on the project page.

## License
This project is licensed under the GNU General Public License v2.0.

---

Cette mise à jour reflète la nouvelle fonctionnalité et explique comment l'utiliser. Elle maintient également la structure existante du fichier tout en ajoutant les informations pertinentes.